#!/usr/bin/env ruby
#
# HugoTalk 1.0 (for Amarok 1.4)
# -------------------------------
#
# This script will tell Hugo [y'gå] whenever you play a new track...
#

require "socket"

if !system( "dcop amarok playlist popupMessage \"HugoTalk started...\" > /dev/null 2>&1" ) #Info message, and running check combined
    print "ERROR: A suitable Amarok wasn't found running!\n"
    exit(1) #Exit with error
end

loop do
    command = /[A-Za-z]*/.match( gets().chomp() ).to_s()
    if command == "trackChange"
        track = `dcop amarok player nowPlaying`
        c = TCPSocket.new("hugo.dsek.lth.se", 1101)
        c.print "Now playing: #{track}\n"
        c.close
    else if command == "configure"
        c = TCPSocket.new("hugo.dsek.lth.se", 1101)
        c.print "The \"Now playing\" messages are brought to you by HugoTalk 1.0 by Firetech...\n"
        c.close
    end
end

end